Skip to main content

Subscription

View as Markdown

Subscription object

subscription_idstring

UUID identifying the subscription.

Example: 01ee9e6f2a2c1a8d9273d3c3e852fc2b

schedule_idstring

UUID identifying the schedule to which the subscription belongs.

Example: 01ef0cb45e2a1da4a61950e9b8789ce9

dashboard_idstring

UUID identifying the dashboard to which the subscription belongs.

Example: 04aab30f99ea444490c10c85852f216c

subscriberobject

Subscriber details for users and destinations to be added as subscribers to the schedule.

Show child attributesHide child attributes
user_subscriberobject

The user to receive the subscription email. This parameter is mutually exclusive with destination_subscriber.

Show child attributesHide child attributes
user_idint64

UserId of the subscriber.

Example: 3294322584244938

destination_subscriberobject

The destination to receive the subscription email. This parameter is mutually exclusive with user_subscriber.

Show child attributesHide child attributes
destination_idstring

The canonical identifier of the destination to receive email notification.

Example: ce8f875a-11ad-4117-bcc6-c5a542822aee

created_by_user_idint64

UserId of the user who adds subscribers (users or notification destinations) to the dashboard's schedule.

Example: 3294322584244938

etagstring

The etag for the subscription. Must be left empty on create, can be optionally provided on delete to ensure that the subscription has not been deleted since the last read.

Example: 80611980

create_timestring

A timestamp indicating when the subscription was created.

update_timestring

A timestamp indicating when the subscription was last updated.

skip_notifyboolean

Controls whether notifications are sent to the subscriber for scheduled dashboard refreshes. If not defined, defaults to false in the backend to match the current behavior (refresh and notify)

Get

GET /api/2.0/lakeview/dashboards/{dashboard_id}/schedules/{schedule_id}/subscriptions/{subscription_id}

Get schedule subscription.

API scopes: dashboards

Parameters

subscription_idstringpath

UUID identifying the subscription.

Example: 01ee9e6f2a2c1a8d9273d3c3e852fc2b

schedule_idstringpath

UUID identifying the schedule which the subscription belongs.

Example: 01ef0cb45e2a1da4a61950e9b8789ce9

dashboard_idstringpath

UUID identifying the dashboard which the subscription belongs.

Example: 04aab30f99ea444490c10c85852f216c

Response

Returns the Subscription object.

List

GET /api/2.0/lakeview/dashboards/{dashboard_id}/schedules/{schedule_id}/subscriptions

List schedule subscriptions.

API scopes: dashboards

Parameters

dashboard_idstringpath

UUID identifying the dashboard which the subscriptions belongs.

Example: 04aab30f99ea444490c10c85852f216c

schedule_idstringpath

UUID identifying the schedule which the subscriptions belongs.

Example: 01ef0cb45e2a1da4a61950e9b8789ce9

page_sizeint32query

The number of subscriptions to return per page.

Default: 20

Constraints: [ 1 .. 100 ]

page_tokenstringquery

A page token, received from a previous ListSubscriptions call. Use this to retrieve the subsequent page.

Example: EAI=

Response

Returns a list of Subscription objects.

Create

POST /api/2.0/lakeview/dashboards/{subscription.dashboard_id}/schedules/{subscription.schedule_id}/subscriptions

Create schedule subscription.

API scopes: dashboards

Parameters

subscriptionobjectpath

The subscription to create. A schedule is limited to 100 subscriptions.

Show child attributesHide child attributes
subscription_idstring

UUID identifying the subscription.

Example: 01ee9e6f2a2c1a8d9273d3c3e852fc2b

schedule_idstring

UUID identifying the schedule to which the subscription belongs.

Example: 01ef0cb45e2a1da4a61950e9b8789ce9

dashboard_idstring

UUID identifying the dashboard to which the subscription belongs.

Example: 04aab30f99ea444490c10c85852f216c

subscriberobject

Subscriber details for users and destinations to be added as subscribers to the schedule.

Show child attributesHide child attributes
user_subscriberobject

The user to receive the subscription email. This parameter is mutually exclusive with destination_subscriber.

Show child attributesHide child attributes
user_idint64

UserId of the subscriber.

Example: 3294322584244938

destination_subscriberobject

The destination to receive the subscription email. This parameter is mutually exclusive with user_subscriber.

Show child attributesHide child attributes
destination_idstring

The canonical identifier of the destination to receive email notification.

Example: ce8f875a-11ad-4117-bcc6-c5a542822aee

created_by_user_idint64

UserId of the user who adds subscribers (users or notification destinations) to the dashboard's schedule.

Example: 3294322584244938

etagstring

The etag for the subscription. Must be left empty on create, can be optionally provided on delete to ensure that the subscription has not been deleted since the last read.

Example: 80611980

create_timestring

A timestamp indicating when the subscription was created.

update_timestring

A timestamp indicating when the subscription was last updated.

skip_notifyboolean

Controls whether notifications are sent to the subscriber for scheduled dashboard refreshes. If not defined, defaults to false in the backend to match the current behavior (refresh and notify)

Response

Returns the Subscription object.

Delete

DELETE /api/2.0/lakeview/dashboards/{dashboard_id}/schedules/{schedule_id}/subscriptions/{subscription_id}

Delete schedule subscription.

API scopes: dashboards

Parameters

subscription_idstringpath

UUID identifying the subscription.

Example: 01ee9e6f2a2c1a8d9273d3c3e852fc2b

schedule_idstringpath

UUID identifying the schedule which the subscription belongs.

Example: 01ef0cb45e2a1da4a61950e9b8789ce9

dashboard_idstringpath

UUID identifying the dashboard which the subscription belongs.

Example: 04aab30f99ea444490c10c85852f216c

etagstringquery

The etag for the subscription. Can be optionally provided to ensure that the subscription has not been modified since the last read.

Example: 80611980